%global momorel 3
%global kdever 4.4.2
%global kdelibsrel 1m
%global qtver 4.6.3
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m

Name:           gluon
Summary:        high-level game development library for the KDE
Url:            http://gluon.tuxfamily.org/
Version:        0.70.0
Release:        %{momorel}m%{?dist}
License:        LGPLv2
Group:          System Environment/Libraries
Source0:        http://gluon.gamingfreedom.org/sites/default/files/%{name}-%{version}.tar.gz
NoSource:       0
Requires:       qt >= %{qtver}-%{qtrel}
BuildRequires:  cmake >= %{cmakever}-%{cmakerel}
BuildRequires:  qt-devel >= %{qtver}-%{qtrel}
BuildRequires:  kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires:  kdebase-workspace-devel >= %{kdever}
BuildRequires:  eigen2-devel
BuildRequires:  glew-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libvorbis-devel
BuildRequires:  openal-soft-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Gluon is a high-level game development library for the KDE desktop enviornment. 
It is the combination of the KGL, KAL and KCL libraries for a single, complete 
games devlopment solution, supporting physics, graphics, audio and controllers.

%package devel
License:        LGPLv2
Group:          Development/Libraries
Summary:        libraries and headers for %{name}

%description devel
%{summary}.

%prep
%setup -q -n %{name}-%{name}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_kde4_bindir}/gluonplayer
%{_kde4_bindir}/gluoncreator
%{_kde4_libdir}/gluon
%{_kde4_libdir}/libGluon*.so.*
%{_kde4_libdir}/kde4/gluon_creator_dockplugin_*.so
%{_kde4_appsdir}/gluoncreator
%{_kde4_datadir}/config.kcfg/gluoncreatorsettings.kcfg
%{_kde4_datadir}/applications/kde4/gluon-creator.desktop
%{_kde4_datadir}/kde4/servicetypes/gluoncreator_plugin.desktop
%{_kde4_datadir}/kde4/services/gluon_creator_dockplugin_*.desktop
%{_kde4_iconsdir}/hicolor/*/apps//gluon_creator.png

%files devel
%defattr(-,root,root)
%{_kde4_includedir}/gluon
%{_kde4_datadir}/cmake/Modules/FindGluon*
%{_kde4_datadir}/gluon
%{_kde4_libdir}/libGluon*.so

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.70.0-3m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.70.0-2m)
- rebuild against qt-4.6.3-1m

* Tue May  4 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.70.0-1m)
- update to 0.70.0, first official release version

* Tue Jan 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0-0.20100126-1m)
- update to 20100126 git version

* Sat Jan 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.0-0.20090116.1m)
- initial build for Momonga Linux
